INSERT INTO `mortals_xhx_param` VALUES (null, '注册人员来源', 'Person', 'source', '3', '海康考勤系统', 1, 4, 0, 'source', NULL, NULL, NULL);

ALTER TABLE mortals_xhx_care_records ADD COLUMN `waitId` bigint(20)      COMMENT '等待流水号ID' AFTER personId;


-- ----------------------------
-- 办理时间预警表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_care_dowork_records`;
CREATE TABLE `mortals_xhx_care_dowork_records` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点Id',
  `siteName` varchar(256) DEFAULT NULL COMMENT '站点名称',
  `personId` bigint(20) DEFAULT NULL COMMENT '个人信息ID',
  `doWorkId` bigint(20) DEFAULT NULL COMMENT '办理号ID与等待号id一致',
  `name` varchar(50) DEFAULT NULL COMMENT '姓名',
  `contact` varchar(50) DEFAULT NULL COMMENT '联系方式',
  `idCard` varchar(18) DEFAULT NULL COMMENT '身份证号码',
  `bussinessId` bigint(20) DEFAULT NULL COMMENT '业务Id',
  `bussinessName` varchar(255) DEFAULT NULL COMMENT '预约业务',
  `service` varchar(50) DEFAULT NULL COMMENT '办理业务',
  `queueNo` varchar(20) DEFAULT NULL COMMENT '排队编号',
  `takeTime` datetime DEFAULT NULL COMMENT '排队开始时间',
  `callTime` datetime DEFAULT NULL COMMENT '排队结束时间-业务办理开始时间',
  `endTime` datetime DEFAULT NULL COMMENT '办理结束时间',
  `waitTime` int(4) DEFAULT NULL COMMENT '最终办理时长，秒',
  `careCount` int(4) DEFAULT '0' COMMENT '告警次数',
  `smsCount` int(4) DEFAULT '0' COMMENT '短信发送次数',
  `assessment` varchar(255) DEFAULT NULL COMMENT '评价',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建人ID',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新人ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='办理时间表';



ALTER TABLE mortals_xhx_care_records ADD COLUMN  `endTime` datetime DEFAULT NULL COMMENT '办理结束时间';
ALTER TABLE mortals_xhx_care_records ADD COLUMN   `endDureTime` int(4) DEFAULT NULL COMMENT '最终办理时长，秒';
ALTER TABLE mortals_xhx_care_records ADD COLUMN   `waitDureAlarmCount` int(4) DEFAULT '0' COMMENT '等待时间超长告警';
ALTER TABLE mortals_xhx_care_records ADD COLUMN   `endDureAlarmCount` int(4) DEFAULT '0' COMMENT '办理时间超长告警';

-- ----------------------------
-- 差评预警表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_care_cp_records`;
CREATE TABLE `mortals_xhx_care_cp_records` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点Id',
  `siteName` varchar(256) DEFAULT NULL COMMENT '站点名称',
  `personId` bigint(20) DEFAULT NULL COMMENT '个人信息ID',
  `pjId` bigint(20) DEFAULT NULL COMMENT '评价号ID与办理号id一致',
  `name` varchar(50) DEFAULT NULL COMMENT '姓名',
  `contact` varchar(50) DEFAULT NULL COMMENT '联系方式',
  `idCard` varchar(18) DEFAULT NULL COMMENT '身份证号码',
  `window_id` bigint(20) DEFAULT NULL COMMENT '窗口id',
  `window_name` varchar(255) DEFAULT NULL COMMENT '窗口名称',
  `section` varchar(128) DEFAULT NULL COMMENT '部门',
  `flounum` varchar(128) DEFAULT NULL COMMENT '编号',
  `assessment` varchar(32) DEFAULT NULL COMMENT '评价选项',
  `type` varchar(32) DEFAULT NULL COMMENT '评价类型',
  `content` varchar(255) DEFAULT NULL COMMENT '评价内容',
  `source` varchar(18) DEFAULT NULL COMMENT '来源',
  `pjTime` datetime DEFAULT NULL COMMENT '评价时间',
  `careCount` int(4) DEFAULT '0' COMMENT '告警次数',
  `smsCount` int(4) DEFAULT '0' COMMENT '消息发送次数',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建人ID',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新人ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='差评预警表';


-- ----------------------------
-- 告警消息记录表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_alarm_records`;
CREATE TABLE `mortals_xhx_alarm_records` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点Id',
  `siteName` varchar(256) DEFAULT NULL COMMENT '站点名称',
  `alarmTime` datetime DEFAULT NULL COMMENT '告警时间',
  `alarmType` char(32) NOT NULL COMMENT '告警类型',
  `alarmLevel` tinyint(2) NOT NULL DEFAULT '0' COMMENT '告警级别(0.一般，1.次要，2.危险)',
  `alarmReceivePersonnel` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '接收人员',
  `receivePersonnelTelephone` char(11) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '接收人员电话',
  `alarmContent` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '告警详细内容',
  `push` tinyint(2) DEFAULT '0' COMMENT '推送', -- 0未推送，1已推送
  `remark` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '备注信息',
  `createTime` datetime NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=178040 DEFAULT CHARSET=utf8 COMMENT='告警消息记录表';