package com.mortals.xhx.module.alarm.model;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.alarm.model.vo.AlarmRecordsVo;
import lombok.Data;
/**
* 告警消息记录实体对象
*
* @author zxfei
* @date 2025-03-28
*/
@Data
public class AlarmRecordsEntity extends AlarmRecordsVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点Id
    */
    private Long siteId;
    /**
    * 站点名称
    */
    private String siteName;
    /**
    * 告警时间
    */
    private Date alarmTime;
    /**
    * 告警类型
    */
    private String alarmType;
    /**
    * 告警级别(0.一般，1.次要，2.危险)
    */
    private Integer alarmLevel;
    /**
    * 接收人员
    */
    private String alarmReceivePersonnel;
    /**
    * 接收人员电话
    */
    private String receivePersonnelTelephone;
    /**
    * 告警详细内容
    */
    private String alarmContent;
    /**
    * 推送
    */
    private Integer push;
    /**
    * 备注信息
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof AlarmRecordsEntity) {
            AlarmRecordsEntity tmp = (AlarmRecordsEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.siteId = null;
            this.siteName = "";
            this.alarmTime = null;
            this.alarmType = "";
            this.alarmLevel = 0;
            this.alarmReceivePersonnel = "";
            this.receivePersonnelTelephone = "";
            this.alarmContent = "";
            this.push = 0;
            this.remark = "";
    }
}