package com.mortals.xhx.module.care.model;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.care.model.vo.CareRecordsVo;
import lombok.Data;
/**
 * 预约关怀记录实体对象
 *
 * @author zxfei
 * @date 2025-03-31
 */
@Data
public class CareRecordsEntity extends CareRecordsVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点Id
     */
    private Long siteId;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 个人信息ID
     */
    private Long personId;
    /**
     * 等待流水号ID
     */
    private Long waitId;
    /**
     * 姓名
     */
    private String name;
    /**
     * 联系方式
     */
    private String contact;
    /**
     * 身份证号码
     */
    private String idCard;
    /**
     * 业务Id
     */
    private Long bussinessId;
    /**
     * 预约业务
     */
    private String bussinessName;
    /**
     * 办理业务
     */
    private String service;
    /**
     * 排队编号
     */
    private String queueNo;
    /**
     * 排队开始时间
     */
    private Date takeTime;
    /**
     * 排队结束时间
     */
    private Date callTime;
    /**
     * 监测时间
     */
    private Date monitorTime;
    /**
     * 监测设备ids
     */
    private String monitorDeviceIds;
    /**
     * 监测设备
     */
    private String monitorDevice;
    /**
     * 最终等待时长，秒
     */
    private Integer waitTime;
    /**
     * 办理状态(排队中,办理中,接件结束)
     */
    private String processStatus;
    /**
     * 关怀次数
     */
    private Integer careCount;
    /**
     * 评价
     */
    private String assessment;
    /**
     * 短信发送次数
     */
    private Integer smsCount;
    /**
     * 办理结束时间
     */
    private Date endTime;
    /**
     * 最终办理时长，秒
     */
    private Integer endDureTime;
    /**
     * 等待时间超长告警
     */
    private Integer waitDureAlarmCount;
    /**
     * 办理时间超长告警
     */
    private Integer endDureAlarmCount;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CareRecordsEntity) {
            CareRecordsEntity tmp = (CareRecordsEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.siteId = null;
        this.siteName = "";
        this.personId = null;
        this.waitId = null;
        this.name = "";
        this.contact = "";
        this.idCard = "";
        this.bussinessId = null;
        this.bussinessName = "";
        this.service = "";
        this.queueNo = "";
        this.takeTime = null;
        this.callTime = null;
        this.monitorTime = null;
        this.monitorDeviceIds = "";
        this.monitorDevice = "";
        this.waitTime = 0;
        this.processStatus = "排队中";
        this.careCount = 0;
        this.assessment = "";
        this.smsCount = 0;
        this.endTime = null;
        this.endDureTime = 0;
        this.waitDureAlarmCount = 0;
        this.endDureAlarmCount = 0;
    }
}